GNUNET-GNS(1)

NAME
gnunet-gns - access to GNU Name System

SYNOPSIS
gnunet-gns [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l FILENAME | --logfile=FILENAME] [-r | --raw] [-t TYPE | --type=TYPE] [-u NAME | --lookup=NAME] [-v | --version]

DESCRIPTION
gnunet-gns can be used to lookup and process GNU Name Service names.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l FILENAME | --logfile=FILENAME
    Write logs to FILENAME.

-r | --raw
    No unneeded output. This is a quiet mode where only important information is displayed. For example a lookup for an IP address will only yield the IP address, no descriptive text.

-t TYPE | --type=TYPE
    Resource Record Type (TYPE) to look for. Supported TYPE's are: A, AAAA, CNAME, NS, PKEY, PSEU, TLSA, SRV, SOA, MX, LEHO, VPN, REV, PTR, TXT. Defaults to "A".

-u NAME | --lookup=NAME
    Name to lookup. Resolve the specified name using the GNU Name System.

-T TIMEOUT | --timeout=TIMEOUT
    How much time to wait for a resolution to finish. Example: "5s" for 5 seconds or "3m" for 3 minutes. Defaults to "forever" (No timeout).

-v | --version
    Print GNUnet version number.

DIAGNOSTICS
gnunet-gns will return 0 on success, 1 on internal failures, 2 on launch failures, 4 if the given name is not configured to use GNS.

SEE ALSO
gnunet-namestore(1), gnunet-identity(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.